#!/bin/bash

set -u

for goosarch in $(go tool dist list | grep -vw -e aix -e js/wasm -e plan9 -e solaris -e android -e nacl)
do
    mkdir -p "build/$goosarch"
    goos=$(cut -d/ -f 1 <<<$goosarch)
    goarch=$(cut -d/ -f 2 <<<$goosarch)
    for cmd in cmd/*; do
        GOOS=${goos} GOARCH=${goarch} go build -o "build/$goos/$goarch/$(basename $cmd)" ./$cmd
    done
done
